## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesWrapperToXalanNodeMap Class Reference

Collaboration diagram for XercesWrapperToXalanNodeMap:

[legend]
List of all members.

## Public Types

- typedef XalanMap< const DOMNodeType *,
  XalanNode * > XercesNodeMapType

## Public Member Functions

- XercesWrapperToXalanNodeMap (MemoryManagerType &theManager)
- ~XercesWrapperToXalanNodeMap ()
- MemoryManagerType & getMemoryManager ()
- void addAssociation (const DOMNodeType *theXercesNode, XalanNode *theXalanNode)
- void clear ()
- XalanNode * getNode (const DOMNodeType *theXercesNode) const

## Member Typedef Documentation

typedef XalanMap<const DOMNodeType*, XalanNode*> XercesWrapperToXalanNodeMap::XercesNodeMapType

## Constructor & Destructor Documentation

XercesWrapperToXalanNodeMap::XercesWrapperToXalanNodeMap | ( | MemoryManagerType & | theManager | ) |

XercesWrapperToXalanNodeMap::~XercesWrapperToXalanNodeMap | ( |  | ) |

## Member Function Documentation

void XercesWrapperToXalanNodeMap::addAssociation | ( | const DOMNodeType * | theXercesNode,
|  | XalanNode * | theXalanNode
| ) |

void XercesWrapperToXalanNodeMap::clear | ( |  | ) |

MemoryManagerType& XercesWrapperToXalanNodeMap::getMemoryManager | ( |  | ) |

XalanNode* XercesWrapperToXalanNodeMap::getNode | ( | const DOMNodeType * | theXercesNode | ) | const

The documentation for this class was generated from the following file:

- XercesWrapperToXalanNodeMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.